package com.rjconsultores.ventaboletos.vo.pricing;

import com.rjconsultores.ventaboletos.utilerias.DateUtil;

public class PricingVigencia {

	private String inicioDataViagem;
	private String fimDataViagem;
	private String inicioDataVenda;
	private String fimDataVenda;
	
	public PricingVigencia() {
		super();
	}

	public PricingVigencia(com.rjconsultores.ventaboletos.entidad.PricingVigencia pricingVigencia) {
		this();
		this.inicioDataVenda = pricingVigencia.getFecinicioventa() != null ? DateUtil.getStringDate(pricingVigencia.getFecinicioventa(), "dd/MM/yyyy HH:mm") : null;
		this.fimDataVenda = pricingVigencia.getFecfinventa() != null ? DateUtil.getStringDate(pricingVigencia.getFecfinventa(), "dd/MM/yyyy HH:mm") : null;
		this.inicioDataViagem = pricingVigencia.getFecinicioviaje() != null ? DateUtil.getStringDate(pricingVigencia.getFecinicioviaje(), "dd/MM/yyyy HH:mm") : null;
		this.fimDataViagem = pricingVigencia.getFecfinviaje() != null ? DateUtil.getStringDate(pricingVigencia.getFecfinviaje(), "dd/MM/yyyy HH:mm") : null;
	}

	public String getInicioDataViagem() {
		return inicioDataViagem;
	}

	public void setInicioDataViagem(String inicioDataViagem) {
		this.inicioDataViagem = inicioDataViagem;
	}

	public String getFimDataViagem() {
		return fimDataViagem;
	}

	public void setFimDataViagem(String fimDataViagem) {
		this.fimDataViagem = fimDataViagem;
	}

	public String getInicioDataVenda() {
		return inicioDataVenda;
	}

	public void setInicioDataVenda(String inicioDataVenda) {
		this.inicioDataVenda = inicioDataVenda;
	}

	public String getFimDataVenda() {
		return fimDataVenda;
	}

	public void setFimDataVenda(String fimDataVenda) {
		this.fimDataVenda = fimDataVenda;
	}

}
